<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 12/6/2018
 * Time: 5:03 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['descripcion']) && isset($_REQUEST['id_consulta'])) {
            $validar  = R::findOne( 'opcionconsulta', ' descripcion =:nombreC AND id_consulta =:id_consulta ',array('nombreC' => $_REQUEST['descripcion'], 'id_consulta' => $_REQUEST['id_consulta']));
            if (is_null($validar)==TRUE){
                $opcionconsulta = R::dispense('opcionconsulta');
                $opcionconsulta->descripcion = $_REQUEST['descripcion'];
                $opcionconsulta->id_consulta = $_REQUEST['id_consulta'];
                $opcionconsulta->estado = 1;
                $id1 = R::store($opcionconsulta);
                include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}